Subject: bug#75580: closed (Re: bug#75580: 30.0.93; statements inside string interpolation for csharp modes are fontified incorrectly)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 Feb 2025 10:57:02 +0000

Your bug report

#75580: 30.0.93;  statements inside string interpolation for csharp modes
 are fontified incorrectly

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75580: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75580
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#75580: 30.0.93; statements inside string interpolation for csharp modes are fontified incorrectly
From: Eli Zaretskii <[email-masked]>
To: Jostein Kjønigsen <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 08 Feb 2025 12:55:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 1 Feb 2025 22:20:54 +0100
> Cc: Yuan Fu <[email-masked]>, [email-masked],
>  [email-masked], [email-masked], [email-masked]
> From: Jostein Kjønigsen <[email-masked]>
> 
> On 2/1/25 13:06, Jostein Kjønigsen wrote:
> > I don’t remember exactly why things ended up the way they did to be honest.
> >
> > I tried tweaking around with the rules to see if I could get better results, but ended up with different kinds of regressions.
> 
> I had time for a little effort. :)
> 
> Attached is a pretty minimal patch which seems to work for me. I've 
> guarded the changes behind a grammar-check, but I must admit I'm not 
> sure if that is needed or not.
> 
> Basically I remove the override, and add more specific rules for the 
> parts which goes "missing" without it.
> 
> Anyone have any opinions on the form of patch? Anyone want to do any 
> additional testing?
> 
> Let me know! If not, I guess Eli you can install this at your own leisure.

Thanks, installed on the master branch, and closing the bug.

Subject: =?iso-8859-1?Q?30.0.93; _statements_inside_string_interpolation_for_csharp?= modes are fontified incorrectly
From: Sami Batuhan Basmaz Ölmez <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 15 Jan 2025 08:02:50 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

An interpolated string `$"string content {myFunction(myVariable)}
another string content"` are highlighted incorrectly as expressions
inside brackets are also fontified with string face for csharp-mode and
csharp-ts-mode. They should be fontified like statements.
Interpolation occurs inside curly braces.

In GNU Emacs 30.0.93 (build 1, x86_64-w64-mingw32) of 2024-12-23
Repository revision: 68bcabf58afddb377d172857ce7648ad3ff09618
Repository branch: worktree
Windowing system distributor 'Microsoft Corp.', version 10.0.19045
System Description: Microsoft Windows 10 Pro (v10.0.2009.19045.5371)

Configured using:
 'configure --prefix=C:/msys64/mingw64/ --without-compress-install
 --without-dbus --with-tree-sitter --with-rsvg --without-imagemagick
 --without-gsettings --with-mailutils --with-native-compilation
 --with-modules --with-wide-int 'CFLAGS=-O3 -ffast-math
 -frename-registers -funroll-loops -mtune=native -march=native
 -fomit-frame-pointer -fallow-store-data-races
 -fno-semantic-interposition -floop-parallelize-all
 -ftree-parallelize-loops=4 -fno-finite-math-only''

Configured features:
ACL GIF GMP GNUTLS HARFBUZZ JPEG LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XPM ZLIB

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1252

Major mode: C#

Minor modes in effect:
  windmove-mode: t
  tab-bar-echo-area-mode: t
  lsp-diagnostics-mode: t
  lsp-headerline-breadcrumb-mode: t
  lsp-modeline-workspace-status-mode: t
  lsp-modeline-diagnostics-mode: t
  lsp-lens-mode: t
  lsp-ui-mode: t
  lsp-ui-doc-mode: t
  lsp-ui-sideline-mode: t
  flycheck-mode: t
  treemacs-filewatch-mode: t
  treemacs-follow-mode: t
  treemacs-git-mode: t
  treemacs-fringe-indicator-mode: t
  lsp-completion-mode: t
  lsp-semantic-tokens-mode: t
  lsp-inlay-hints-mode: t
  lsp-managed-mode: t
  lsp-mode: t
  display-line-numbers-mode: t
  rainbow-delimiters-mode: t
  colorful-mode: t
  jinx-mode: t
  org-remark-global-tracking-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  vertico-multiform-mode: t
  vertico-mode: t
  global-treesit-auto-mode: t
  treesit-explore-mode: t
  projectile-mode: t
  meow-global-mode: t
  meow-mode: t
  meow-normal-mode: t
  meow-esc-mode: t
  dirvish-override-dired-mode: t
  corfu-popupinfo-mode: t
  corfu-history-mode: t
  global-corfu-mode: t
  corfu-mode: t
  which-key-mode: t
  marginalia-mode: t
  spacious-padding-mode: t
  parrot-mode: t
  nyan-mode: t
  nerd-icons-completion-mode: t
  global-hl-todo-mode: t
  hl-todo-mode: t
  doom-modeline-mode: t
  global-auto-revert-mode: t
  electric-pair-mode: t
  file-painter-global-mode: t
  repeat-mode: t
  savehist-mode: t
  recentf-mode: t
  save-place-mode: t
  global-beacon-fast-mode: t
  beacon-fast-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  minibuffer-regexp-mode: t
  size-indication-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Memory information:
((conses 16 1305305 2175637) (symbols 48 61953 15)
 (strings 32 401939 75182) (string-bytes 1 12092377)
 (vectors 16 96100) (vector-slots 8 1212741 1026826)
 (floats 8 820 15766) (intervals 56 23422 7039) (buffers 992 31))